## debian-policy 3.9.5.0

=== Makefile ===
include debian/rules

policy.sgml: version.ent
menu-policy.sgml: version.ent
perl-policy.sgml: version.ent

%.txt: %.org
	$(EMACS) --batch -Q -l ./README-css.el -l org -l org-ascii --visit $^ \
          --funcall org-export-as-ascii >/dev/null 2>&1
	test "$@" != "README.txt"  ||                            \
           perl -pli -e 's,./Process.org,Process.txt,g' $@
%.html: %.org
	$(EMACS) --batch -Q -l ./README-css.el -l org --visit $^ \
          --funcall org-export-as-html-batch >/dev/null 2>&1

%.validate: %
	nsgmls -wall -gues $<

%.html/index.html: %.sgml
	LANG=C debiandoc2html $<

%-1.html: %.sgml
	LANG=C debiandoc2html -1 -b $*-1d $< && \
        mv $*-1d.html/index.html $*-1.html && \
        rmdir $*-1d.html

%.html.tar.gz: %.html/index.html
	tar -czf $(<:/index.html=.tar.gz) $(<:/index.html=)

%.txt: %.sgml
	LANG=C debiandoc2text $<

%.txt.gz: %.txt
	gzip -cf9 $< > $@

%.ps: %.sgml
	LANG=C debiandoc2latexps $<

%.ps.gz: %.ps
	gzip -cf9 $< > $@

%.pdf: %.sgml
	LANG=C debiandoc2latexpdf $<

%.pdf.gz: %.pdf
	gzip -cf9 $< > $@

# This is a temporary hack to fold the upgrading-checklist into the Policy
# HTML directory so that it can be deployed alongside Policy on
# www.debian.org in a way that lets the cross-document links work properly.
# The correct solution is to make upgrading-checklist an appendix of Policy,
# which will probably be done as part of a general conversion to DocBook.
policy.html.tar.gz:: policy.html/upgrading-checklist.html
policy.html/upgrading-checklist.html: upgrading-checklist-1.html \
				      policy.html/index.html
	cp -p $< $@

# convenience aliases :)
html: policy.html/index.html
html-1: policy-1.html
txt text: policy.txt
ps: policy.ps
pdf: policy.pdf
policy: html txt ps pdf

leavealone :=	$(FHS_HTML) $(FHS_FILES) $(FHS_ARCHIVE) \
		libc6-migration.txt
	      
.PHONY: distclean
distclean:
	rm -rf $(filter-out $(leavealone),$(wildcard *.html))
	rm -f $(filter-out $(leavealone),$(wildcard *.txt *.txt.gz *.html.tar.gz *.pdf *.ps))
	rm -f *.lout* lout.li *.sasp* *.tex *.aux *.toc *.idx *.log *.out *.dvi *.tpt
	rm -f `find . -name "*~" -o -name "*.bak" -o -name ".#*" -o -name core`
	rm -f version.ent
	rm -f *.rej *.orig

# if a rule bombs out, delete the target
.DELETE_ON_ERROR:
# no default suffixes work here, don't waste time on them
.SUFFIXES:

=== copyright-format/Makefile ===
all: copyright-format-1.0.txt.gz copyright-format-1.0.html

copyright-format-1.0.html: copyright-format-1.0.xml html.dsl
	jade -V nochunks -t sgml -d html.dsl \
		/usr/share/xml/declaration/xml.dcl $< > $@
	-tidy -q -i -m -f /dev/null $@

copyright-format-1.0.txt: copyright-format-1.0.html
	links -dump $< | perl -pe 's/[\r\0]//g' > $@

copyright-format-1.0.txt.gz: copyright-format-1.0.txt
	gzip -cf9 $< > $@

clean:
	rm -f *.css *.html *.txt *.txt.gz

.DELETE_ON_ERROR:

=== debian/changelog ===
debian-policy (3.9.5.0) unstable; urgency=low

  * Policy: Document the Package-List field.
    Wording: Charles Plessy <plessy@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Guillem Jover <guillem@debian.org>
    Closes: #697433
  * Policy: DM-Upload-Allowed is now obsolete
    Wording: Charles Plessy <plessy@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Ansgar Burchardt <ansgar@debian.org>
    Seconded: Guillem Jover <guillem@debian.org>
    Closes: #679326
  * Policy: Checksums-{Sha1,Sha256} are now mandatory
    Wording: Charles Plessy <plessy@debian.org>
    Seconded: Guillem Jover <guillem@debian.org>
    Seconded: Ansgar Burchardt <ansgar@debian.org>
    Closes: #690293
  * Policy: Requirements for udebs are not well documented yet
    Wording: Russ Allbery <rra@debian.org>
    Wording: Jonathan Nieder <jrnieder@gmail.com>
    Seconded: Charles Plessy <plessy@debian.org>
    Seconded: Cyril Brulebois <kibi@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Closes: #698030
  * Policy: install-info is run by a dpkg trigger.
    Wording: Jonathan Nieder <jrnieder@gmail.com>
    Seconded: Charles Plessy <plessy@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Closes: #669915
  * Policy: Stop recommending to serve HTML documents from /usr/share/doc.
    Wording: Thomas Goirand <zigo@debian.org>
    Seconded: Charles Plessy <plessy@debian.org>
    Seconded: Jonathan Nieder <jrnieder@gmail.com>
    Closes: #715804
  * Policy: File names encoded in UTF-8. ASCII preferred and mandatory in PATH.
    Wording: Charles Plessy <plessy@debian.org>
    Seconded: Jonathan Nieder <jrnieder@gmail.com>
    Seconded: Julian Gilbey <julian@d-and-j.net>
    Closes: #701081
  * Policy: Document the Dgit field for Debian Source Control files.
    Wording: Ian Jackson <ijackson@chiark.greenend.org.uk>
    Seconded: Charles Plessy <plessy@debian.org>
    Seconded: Joey Hess <joeyh@debian.org>
    Seconded: Dmitrijs Ledkovs <xnox@debian.org>
    Closes: #720507
  * Policy: Remove the exception to the FHS for the /selinux directory.
    Wording: Charles Plessy <plessy@debian.org>
    Seconded: Steve Langasek <vorlon@debian.org>
    Seconded: Julien Cristau <jcristau@debian.org>
    Closes: #707183
  * Policy: on upgrades, recommend removing obsolete unchanged conf. files.
    Wording: Paul Wise <pabs@debian.org>
    Seconded: Jonathan Nieder <jrnieder@gmail.com>
    Seconded: Charles Plessy <plessy@debian.org>
    Closes: #707077
  * Policy: Control data fields must not start with a hyphen character.
    Wording: Niels Thykier <niels@thykier.net>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Guillem Jover <guillem@debian.org>
    Closes: #706778
  * debconf_spec: Document the 'escape' capability.
    Wording: Jonathan Nieder <jrnieder@gmail.com>
    Seconded: Charles Plessy <plessy@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Closes: #671355
  * virtual-package-names-list: removed mp3-decoder and mp3-encoder.
    Seconded: Jonathan Nieder <jrnieder@gmail.com>
    Seconded: Kurt Roeckx <kurt@roeckx.be>
    Seconded: Charles Plessy <plessy@debian.org>
    Closes: #668394
  * Clean outdated mentions of dpkg commands in appendix. Thanks, Guillem Jover
  * Remove outdated mention of dselect documentation.
    Closes: #700574.  Thanks, Guillem Jover.
  * Update dak reference from old katie name.
    Closes: #700536.  Thanks, Guillem Jover.
  * Fix typo in 8.6.4.  Thanks, Raúl Benencia.  (Closes: #691352)
  * Fix typo in 8.6.4.1.  Thanks, Salvatore Bonaccorso <carnil@debian.org>.
  * Added a warning in appendix G about diverting conffiles.
    Closes: #703022.  Thanks, Torsten Jerzembeck.
  * List build-arch and build-indep with the other required targets in 4.9.
    Closes: #704657.  Thanks, Philipp Hahn.
  * Replaced non-standard names of dpkg states by normalised ones.
    Closes: #705403
  * Clarify what is meant by "compressed" in section 10.5. (Closes: #676784)
  * Packaging: use the VCS URLs proposed by Lintian.
  * Packaging: normalised debian/control with the tool "config-model-edit".
  * Packaging: refreshed the names of the Policy Editors.

 -- Charles Plessy <plessy@debian.org>  Mon, 28 Oct 2013 09:40:48 +0900

=== debian/control ===
Source: debian-policy
Maintainer: Debian Policy List <debian-policy@lists.debian.org>
Uploaders: Andreas Barth <aba@debian.org>,
           Bill Allombert <ballombe@debian.org>,
           Charles Plessy <plessy@debian.org>,
           Jonathan Nieder <jrnieder@gmail.com>,
           Russ Allbery <rra@debian.org>
Section: doc
Priority: optional
Build-Depends: bsdmainutils,
               debiandoc-sgml (>= 1.1.47),
               docbook-dsssl,
               docbook-xml,
               emacs23,
               groff,
               jade,
               links | elinks,
               pstoedit,
               sgml-data,
               texlive,
               texlive-latex-extra,
               tidy
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=dbnpolicy/policy.git
Vcs-Git: git://anonscm.debian.org/dbnpolicy/policy.git

Package: debian-policy
Architecture: all
Suggests: doc-base
Description: Debian Policy Manual and related documents
 This package contains:
    - Debian Policy Manual
    - Filesystem Hierarchy Standard (FHS)
    - Debian Menu sub-policy
    - Debian Perl sub-policy
    - Debian configuration management specification
    - Machine-readable debian/copyright specification
    - Authoritative list of virtual package names
    - Policy checklist for upgrading your packages
    - Paper about libc6 migration
 It also replaces the old Packaging Manual; most of the still-relevant
 content is now included as appendices to the Policy Manual.

=== debian/rules ===
#!/usr/bin/make -f

# Basic package information.
package := $(shell grep Source debian/control | sed 's/^Source: //')
date	:= $(shell date +"%Y-%m-%d")
version := $(shell dpkg-parsechangelog | awk '/^Version:/ { print $$2; exit }')

# Currently, emacs23 is required (xemacs is not sufficient).
EMACS   := emacs23

# Location of the source and build directories.
SRCTOP	:= $(CURDIR)
TMPTOP	:= $(SRCTOP)/debian/tmp
DOCDIR	:= $(TMPTOP)/usr/share/doc/$(package)
LIBDIR	:= $(TMPTOP)/usr/share/doc-base

# SGML source files in the top-level directory.  We do some common actions
# with each of these: validate, build text, HTML, and one-page HTML output,
# and generate a tarball of the source.
SGML_FILES  := policy menu-policy perl-policy upgrading-checklist

# org-mode source files in the top-level directory.  We generate text and
# HTML versions from these.
ORG_FILES   := Process README

# doc-base description files for the documents we include.
DESC_FILES  := copyright-format-1.0 debian-policy debian-menu-policy \
	       debian-perl-policy debconf-spec fhs

# Our local copy of the File Hierarchy Standard.  We don't build this from
# source, but we do have a copy of the source in FHS_ARCHIVE.
FHS_ARCHIVE := fhs-2.3-source.tar.gz
FHS_FILES   := fhs-2.3.html fhs-2.3.ps.gz fhs-2.3.txt.gz fhs-2.3.pdf.gz

# A list of the simple Policy files that we include in the documentation
# directory of the generated package.  The tarballs of source are handled
# separately, as are the directories of HTML output.
POLICY_FILES := $(SGML_FILES:=.sgml) $(SGML_FILES:=.txt.gz)		\
		$(SGML_FILES:=-1.html) version.ent			\
		virtual-package-names-list.txt libc6-migration.txt	\
		copyright-format/copyright-format-1.0.html		\
		copyright-format/copyright-format-1.0.txt.gz		\
		debconf_spec/debconf_specification.html			\
		debconf_spec/debconf_specification.txt.gz		\
		policy.ps.gz policy.pdf.gz README.txt README.html	\
		Process.txt Process.html

# Used by the clean rules.  STAMPS_TO_CLEAN are the stamp files used to tell
# make that a target has completed, and are removed first.  FILES_TO_CLEAN
# are individual generated files to remove.  DIRS_TO_CLEAN are entire
# directories to remove.
STAMPS_TO_CLEAN := stamp-binary stamp-build
DIRS_TO_CLEAN   := $(SGML_FILES:=.html) debian/tmp fhs
FILES_TO_CLEAN	:= $(SGML_FILES:=.txt) $(SGML_FILES:=.txt.gz)		\
		   $(SGML_FILES:=.html.tar.gz) $(SGML_FILES:=-1.html)	\
		   $(ORG_FILES:=.html) $(ORG_FILES:=.txt)		\
		   policy.pdf.gz policy.ps.gz				\
		   policy.pdf policy.ps policy.tpt policy.txt		\
		   copyright-format/version.xml				\
		   debconf_spec/include/version.xml version.ent		\
		   copyright-format.xml.tar.gz				\
		   debconf_specification.xml.tar.gz			\
		   debian/files

# Install files and directories with the correct ownership and permissions.
install := install -p -o root -g root -m 644
mkdir   := install -d -o root -g root -m 755


all build build-indep: stamp-build
build-arch:
stamp-build: version.ent copyright-format/version.xml \
	     debconf_spec/include/version.xml
	$(MAKE) $(SGML_FILES:=.sgml.validate) \
		$(SGML_FILES:=.html.tar.gz) \
                $(SGML_FILES:=-1.html) \
		$(SGML_FILES:=.txt.gz) \
		policy.ps.gz policy.pdf.gz
	$(MAKE) $(ORG_FILES:=.html) \
		$(ORG_FILES:=.txt)
	$(MAKE) -C copyright-format all
	$(MAKE) -C debconf_spec all
	GZIP=-9 cd copyright-format && \
		tar -zcf ../copyright-format.xml.tar.gz *
	GZIP=-9 cd debconf_spec && \
		tar -zcf ../debconf_specification.xml.tar.gz *
	touch stamp-build

# Create the version files for inclusion in the various documents.  We want
# to put the Policy version and date in each document, even if they
# separately have their own versions.
configure: version.ent copyright-format/version.xml \
	   debconf_spec/include/version.xml
version.ent: debian/changelog
	rm -f $@
	echo "<!entity version \"$(version)\">" >> $@
	echo "<!entity date    \"$(date)\">"	>> $@
copyright-format/version.xml: debian/changelog
	rm -f $@
	echo '<?xml version="1.0" standalone="no"?>' >  $@
	echo '<!ENTITY version "$(version)">'        >> $@
	echo '<!ENTITY date    "$(date)">'           >> $@
debconf_spec/include/version.xml: debian/changelog
	rm -f $@
	echo '<?xml version="1.0" standalone="no"?>' >  $@
	echo '<!ENTITY version "$(version)">'        >> $@
	echo '<!ENTITY date    "$(date)">'           >> $@

clean:
	rm -f $(STAMPS_TO_CLEAN)
	$(MAKE) -C copyright-format clean
	$(MAKE) -C debconf_spec clean
	rm -f $(FILES_TO_CLEAN)
	rm -rf $(DIRS_TO_CLEAN)
	rm -f core `find . \( -name '*.orig' -o -name '*.rej' -o	\
	  -name '*~' -o -name '*.bak' -o -name '#*#' -o			\
	  -name '.*.orig' -o -name '.*.rej' -o -name '.SUMS' -o		\
	  -size 0 \) -print` TAGS


binary: binary-indep binary-arch
binary-arch:
binary-indep: stamp-binary
stamp-binary: stamp-build
	@test $$(id | sed -e 's/(.*$$//' -e 's/^uid=//') -eq 0 || \
	    (echo 'You must run this as root (or use fakeroot)' >&2; exit 1)
	rm -rf		$(TMPTOP)
	$(mkdir)	$(TMPTOP)/DEBIAN
	$(mkdir)	$(DOCDIR)/fhs
	$(mkdir)	$(LIBDIR)
#
# Install simple files.
#
	$(install)	$(POLICY_FILES)		$(DOCDIR)/
	$(install)	$(FHS_FILES)		$(DOCDIR)/fhs/
	$(install)	debian/changelog	$(DOCDIR)/
	$(install)	debian/copyright	$(DOCDIR)/
#
# Install DocBook XML source.
#
	$(install)	copyright-format.xml.tar.gz		$(DOCDIR)/
	$(install)	debconf_specification.xml.tar.gz	$(DOCDIR)/
#
# Install generated HTML directories.
#
	@set -ex; for file in $(SGML_FILES); do			\
		tar -C $(DOCDIR) -zxf $$file.html.tar.gz;	\
	done
#
# Make upgrading-checklist-1.html a symlink to the copy in the policy.html
# directory.  This is temporary until it becomes a proper appendix.
#
	rm -f $(DOCDIR)/upgrading-checklist-1.html
	ln -s policy.html/upgrading-checklist.html \
		$(DOCDIR)/upgrading-checklist-1.html
#
# Install doc-base files.
#
	@set -ex; for file in $(DESC_FILES); do			\
		$(install) $$file.desc $(LIBDIR)/$$file;	\
	done
#
# Compress files and build MD5 checksums.
#
	gzip -f9 $(DOCDIR)/*.txt $(DOCDIR)/*.sgml $(DOCDIR)/changelog
	@set -ex; cd debian/tmp; \
	find . -path './DEBIAN' -prune -o -type f -printf '%P\0' \
		| xargs -r0 md5sum > DEBIAN/md5sums
#
# Build the package.
#
	dpkg-gencontrol -p$(package) -Pdebian/tmp -isp
	chown -R root:root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..
	touch stamp-binary


.PHONY: all configure build build-arch build-indep binary binary-arch
.PHONY: binary-indep clean

## debian-policy 3.9.6.1

=== Makefile ===
--- 
+++ 
@@ -5,13 +5,13 @@
 perl-policy.sgml: version.ent
 
 %.txt: %.org
-	$(EMACS) --batch -Q -l ./README-css.el -l org -l org-ascii --visit $^ \
-          --funcall org-export-as-ascii >/dev/null 2>&1
+	$(EMACS) --batch -Q -l ./README-css.el -l org --visit $^ \
+          --funcall org-ascii-export-to-ascii
 	test "$@" != "README.txt"  ||                            \
            perl -pli -e 's,./Process.org,Process.txt,g' $@
 %.html: %.org
 	$(EMACS) --batch -Q -l ./README-css.el -l org --visit $^ \
-          --funcall org-export-as-html-batch >/dev/null 2>&1
+	   --funcall org-html-export-to-html
 
 %.validate: %
 	nsgmls -wall -gues $<

=== debian/changelog ===
debian-policy (3.9.6.1) unstable; urgency=low

  * Fix FTBFS with emacs 24.4. Thanks to David Bremner <david@tethera.net>
    for the help. Closes: #769219

 -- Bill Allombert <ballombe@debian.org>  Mon, 17 Nov 2014 11:55:55 +0100

debian-policy (3.9.6.0) unstable; urgency=low

  [ Bill Allombert ]
  * upgrading-checklist.sgml: remove spurious 'details in' leftover from
    the HTML transition.  Closes: #740100. Thanks Jakub Wilk.
  * debian/control:
    - Build-Depends emacs-nox|emacs instead of emacs23. Closes: #753999
    Thanks Gabriele Giacone and Rob Browning.
  * Packaging: refreshed the names of the Policy Editors.
  * Policy: [11.5.1] Web servers: Fix use of metasyntactic variables and
    applications Closes: #737730. Thanks Olivier Berger.
  * Policy: [5.6.21] Files: Fix typo "by" -> be. Closes: #753353.
    Thanks Benedikt Wildenhain.
  * Policy: Remove reference to DEHS (dead service)
    Wording: David Prévot <taffit@debian.org>
    Seconded: Julian Gilbey <julian@d-and-j.net>
    Seconded: Charles Plessy <plessy@debian.org>
    Closes: #731810
  * Policy: Relax /usr/share FHS requirement for directories with mixed content.
    Wording: Joey Hess <joeyh@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Julien Cristau <jcristau@debian.org>
    Seconded: Jakub Wilk <jwilk@debian.org>
    Seconded: Michael Biebl <biebl@debian.org>
    Closes: #741304
  * Perl Policy: @INC has /usr/lib/perl/5.18, not /usr/lib/perl/5.18.2
    Wording: Niko Tyni <ntyni@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Bill Allombert <ballombe@debian.org>
    Closes: #748480
  * Perl Policy: Explain %Config earlier
    Wording: Niko Tyni <ntyni@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Damyan Ivanov <dmn@debian.org>
    Closes: #748479
  * Perl Policy: @INC changes for multiarch
    Wording: Niko Tyni <ntyni@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Damyan Ivanov <dmn@debian.org>
    Closes: #748380
  * Perl Policy: Packages using Perl vendorarch directory need a perlapi-*
    dependency
    Wording: Niko Tyni <ntyni@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Gregor Herrmann <gregoa@debian.org>
    Seconded: Axel Beckert <abe@debian.org>
    Closes: #750017
  * Policy: Grant an FHS exception for the multiarch headers directories
    Wording: Bill Allombert <ballombe@debian.org>
    Seconded: Jonathan Nieder <jrnieder@gmail.com>
    Seconded: Russ Allbery <rra@debian.org>
    Closes: #742756
  * Policy: Discourage statically linked binaries
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Bill Allombert <ballombe@debian.org>
    Seconded: Jonathan Nieder <jrnieder@gmail.com>
    Closes: #555980
  * Policy: Clarify whose signature should go in debian/changelog (4.4)
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Andrew McMillan <andrew@morphoss.com>
    Seconded: Gregor Herrmann <gregoa@debian.org>
    Closes: #593611
  * Policy: Change default web document root to /var/www/html
    Wording: Bill Allombert <ballombe@debian.org>
    Seconded: Arno Töll <arno@debian.org>
    Seconded: Matthias Urlichs <matthias@urlichs.de>
    Closes: #491547
  * virtual-package-names-list: Update java runtime list
    Wording: Emmanuel Bourg <ebourg@apache.org>
    Seconded: Tony Mancill <tmancill@debian.org>
    Seconded: Bill Allombert <ballombe@debian.org>
    Closes: #754876
  * virtual-package-names-list: Add httpd-wsgi 
    Wording: Bill Allombert <ballombe@debian.org>
    Seconded: Jonas Smedegaard <dr@jones.dk>
    Seconded: Piotr Ożarowski <piotr@debian.org>
    Closes: #588497
  [ Jonathan Nieder ]
  * Policy: Drop FHS requirement that /usr/local/lib<qual> exist when /lib<qual>
    or /usr/lib<qual> does.
    Wording: Tollef Fog Heen <tfheen@err.no>
    Seconded: Bill Allombert <ballombe@debian.org>
    Seconded: Jonathan Nieder <jrnieder@gmail.com>
    Seconded: Russ Allbery <rra@debian.org>
    Closes: #613143

 -- Bill Allombert <ballombe@debian.org>  Wed, 17 Sep 2014 20:03:20 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Maintainer: Debian Policy List <debian-policy@lists.debian.org>
 Uploaders: Andreas Barth <aba@debian.org>,
            Bill Allombert <ballombe@debian.org>,
-           Charles Plessy <plessy@debian.org>,
            Jonathan Nieder <jrnieder@gmail.com>,
            Russ Allbery <rra@debian.org>
 Section: doc
@@ -11,7 +10,7 @@
                debiandoc-sgml (>= 1.1.47),
                docbook-dsssl,
                docbook-xml,
-               emacs23,
+               emacs-nox (>= 24.4) | emacs (>= 24.4),
                groff,
                jade,
                links | elinks,
@@ -20,7 +19,7 @@
                texlive,
                texlive-latex-extra,
                tidy
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=dbnpolicy/policy.git
 Vcs-Git: git://anonscm.debian.org/dbnpolicy/policy.git

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 version := $(shell dpkg-parsechangelog | awk '/^Version:/ { print $$2; exit }')
 
 # Currently, emacs23 is required (xemacs is not sufficient).
-EMACS   := emacs23
+EMACS   := emacs24
 
 # Location of the source and build directories.
 SRCTOP	:= $(CURDIR)

## debian-policy 3.9.8.0

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 	   --funcall org-html-export-to-html
 
 %.validate: %
-	nsgmls -wall -gues $<
+	onsgmls -wall -gues $<
 
 %.html/index.html: %.sgml
 	LANG=C debiandoc2html $<
@@ -25,25 +25,25 @@
         rmdir $*-1d.html
 
 %.html.tar.gz: %.html/index.html
-	tar -czf $(<:/index.html=.tar.gz) $(<:/index.html=)
+	GZIP=-n9 tar -czf $(<:/index.html=.tar.gz) $(<:/index.html=)
 
 %.txt: %.sgml
 	LANG=C debiandoc2text $<
 
 %.txt.gz: %.txt
-	gzip -cf9 $< > $@
+	gzip -ncf9 $< > $@
 
 %.ps: %.sgml
 	LANG=C debiandoc2latexps $<
 
 %.ps.gz: %.ps
-	gzip -cf9 $< > $@
+	gzip -ncf9 $< > $@
 
 %.pdf: %.sgml
 	LANG=C debiandoc2latexpdf $<
 
 %.pdf.gz: %.pdf
-	gzip -cf9 $< > $@
+	gzip -ncf9 $< > $@
 
 # This is a temporary hack to fold the upgrading-checklist into the Policy
 # HTML directory so that it can be deployed alongside Policy on

=== autopkgtest/Makefile ===
all: autopkgtest.html autopkgtest.txt.gz

autopkgtest.html: autopkgtest.md.expanded
	markdown $< > $@

autopkgtest.txt.gz: autopkgtest.md.expanded
	gzip -ncf9 $< > $@

autopkgtest.md.expanded: autopkgtest.md version.txt
	cat $^ > $@

clean:
	rm -f autopkgtest.html autopkgtest.txt.gz $(wildcard *.expanded)

=== copyright-format/Makefile ===
all: copyright-format-1.0.txt.gz copyright-format-1.0.html

copyright-format-1.0.html: copyright-format-1.0.xml html.dsl
	openjade -V nochunks -t sgml -d html.dsl \
		/usr/share/xml/declaration/xml.dcl $< > $@
	-tidy -q -i -m -f /dev/null $@

copyright-format-1.0.txt: copyright-format-1.0.html
	links -dump $< | perl -pe 's/[\r\0]//g' > $@

copyright-format-1.0.txt.gz: copyright-format-1.0.txt
	gzip -ncf9 $< > $@

clean:
	rm -f *.css *.html *.txt *.txt.gz

.DELETE_ON_ERROR:

=== debconf_spec/Makefile ===
all: debconf_specification.txt.gz debconf_specification.html

%.html: %.xml html.dsl
	openjade -V nochunks -t sgml -d html.dsl \
		/usr/share/xml/declaration/xml.dcl $< > $@
	-tidy -q -i -m -f /dev/null $@

%.txt: %.html
	links -dump $< | perl -pe 's/[\r\0]//g' > $@

%.txt.gz: %.txt
	gzip -ncf9 $< > $@

clean:
	rm -f *.css *.html *.txt *.txt.gz

.DELETE_ON_ERROR:

=== debian/changelog ===
debian-policy (3.9.8.0) unstable; urgency=medium

  * Policy: The Debian menu is optionally supported.
    Wording: Charles Plessy <plessy@debian.org>
    Seconded: Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>
    Seconded: Cyril Brulebois <kibi@debian.org> (for the menu entries)
    Seconded: Russ Allbery <rra@debian.org>
    Closes: #707851

 -- Don Armstrong <don@debian.org>  Mon, 01 Feb 2016 20:26:05 -0800

debian-policy (3.9.7.0) unstable; urgency=low

  * Policy: refreshed the names of the Policy Editors.
  * Makefile: use gzip -n when compressing generated files.
  * debian/control, Makefile:
     - add missing Build-Depends on sp (opensp). Closes: #812663
     - migrate to openjade and opensp.
  * debian/rules: no more ship libc6-migration.txt. Closes: #797478
  * Policy: Symbolic links must not traverse above the root directory.
    Wording: Andrey Rahmatullin <wrar@debian.org>
    Seconded: Bill Allombert <ballombe@debian.org>
    Seconded: Jakub Wilk <jwilk@debian.org>
    Seconded: Henrique de Moraes Holschuh <hmh@debian.org>
    Closes: #555979
  * Policy: [9.2.2] document 32-bit UIDs ranges.
    Wording: Matthew Vernon <matthew@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Bill Allombert <ballombe@debian.org>
    Seconded: Julien Cristau <jcristau@debian.org>
    Closes: #765499
  * Policy: [5.1] empty field values in control files are only permitted in
    the debian/control file of a source package.
    Wording:  Bill Allombert <ballombe@debian.org>
    Seconded: Henrique de Moraes Holschuh <hmh@debian.org>
    Seconded: Andrey Rahmatullin <wrar@debian.org>
    Closes: #666726
  * Policy: [4.9] debian/rules: required targets must not attempt network
    access.
    Wording:  Bill Allombert <ballombe@debian.org>
    Seconded: Andrey Rahmatullin <wrar@debian.org>
    Seconded: Lucas Nussbaum <lucas@debian.org>
    Closes: #770016
  * Policy: [12.3] recommend to ship additional documentation for package 'pkg'
    in a separate package 'pkg-doc' and install it into /usr/share/doc/pkg.
    Wording:  Russ Allbery <rra@debian.org>
    Seconded: Bill Allombert <ballombe@debian.org>
    Seconded: Charles Plessy <plessy@debian.org>
    Closes: #106073
  [ Stefano Zacchiroli ]
  * autopkgtest: new document containing the specification of automatic,
    as-installed (AKA autopkgtest, or DEP-8) package tests
    Closes: #799779

 -- Bill Allombert <ballombe@debian.org>  Mon, 01 Feb 2016 23:03:51 +0100

=== debian/control ===
--- 
+++ 
@@ -12,14 +12,15 @@
                docbook-xml,
                emacs-nox (>= 24.4) | emacs (>= 24.4),
                groff,
-               jade,
+               openjade, opensp,
                links | elinks,
                pstoedit,
                sgml-data,
                texlive,
                texlive-latex-extra,
-               tidy
-Standards-Version: 3.9.6
+               tidy,
+	       markdown
+Standards-Version: 3.9.7
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=dbnpolicy/policy.git
 Vcs-Git: git://anonscm.debian.org/dbnpolicy/policy.git
 
@@ -34,6 +35,7 @@
     - Debian Perl sub-policy
     - Debian configuration management specification
     - Machine-readable debian/copyright specification
+    - Autopkgtest - automatic as-installed package testing
     - Authoritative list of virtual package names
     - Policy checklist for upgrading your packages
     - Paper about libc6 migration

=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 
 # doc-base description files for the documents we include.
 DESC_FILES  := copyright-format-1.0 debian-policy debian-menu-policy \
-	       debian-perl-policy debconf-spec fhs
+	       debian-perl-policy debconf-spec fhs autopkgtest
 
 # Our local copy of the File Hierarchy Standard.  We don't build this from
 # source, but we do have a copy of the source in FHS_ARCHIVE.
@@ -37,9 +37,11 @@
 # separately, as are the directories of HTML output.
 POLICY_FILES := $(SGML_FILES:=.sgml) $(SGML_FILES:=.txt.gz)		\
 		$(SGML_FILES:=-1.html) version.ent			\
-		virtual-package-names-list.txt libc6-migration.txt	\
+		virtual-package-names-list.txt	                        \
 		copyright-format/copyright-format-1.0.html		\
 		copyright-format/copyright-format-1.0.txt.gz		\
+		autopkgtest/autopkgtest.html				\
+		autopkgtest/autopkgtest.txt.gz				\
 		debconf_spec/debconf_specification.html			\
 		debconf_spec/debconf_specification.txt.gz		\
 		policy.ps.gz policy.pdf.gz README.txt README.html	\
@@ -57,6 +59,7 @@
 		   policy.pdf.gz policy.ps.gz				\
 		   policy.pdf policy.ps policy.tpt policy.txt		\
 		   copyright-format/version.xml				\
+		   autopkgtest/version.txt				\
 		   debconf_spec/include/version.xml version.ent		\
 		   copyright-format.xml.tar.gz				\
 		   debconf_specification.xml.tar.gz			\
@@ -70,6 +73,7 @@
 all build build-indep: stamp-build
 build-arch:
 stamp-build: version.ent copyright-format/version.xml \
+	     autopkgtest/version.txt \
 	     debconf_spec/include/version.xml
 	$(MAKE) $(SGML_FILES:=.sgml.validate) \
 		$(SGML_FILES:=.html.tar.gz) \
@@ -79,17 +83,19 @@
 	$(MAKE) $(ORG_FILES:=.html) \
 		$(ORG_FILES:=.txt)
 	$(MAKE) -C copyright-format all
+	$(MAKE) -C autopkgtest all
 	$(MAKE) -C debconf_spec all
-	GZIP=-9 cd copyright-format && \
-		tar -zcf ../copyright-format.xml.tar.gz *
-	GZIP=-9 cd debconf_spec && \
-		tar -zcf ../debconf_specification.xml.tar.gz *
+	cd copyright-format && \
+		GZIP=-n9 tar -zcf ../copyright-format.xml.tar.gz *
+	cd debconf_spec && \
+		GZIP=-n9 tar -zcf ../debconf_specification.xml.tar.gz *
 	touch stamp-build
 
 # Create the version files for inclusion in the various documents.  We want
 # to put the Policy version and date in each document, even if they
 # separately have their own versions.
 configure: version.ent copyright-format/version.xml \
+	   autopkgtest/version.txt \
 	   debconf_spec/include/version.xml
 version.ent: debian/changelog
 	rm -f $@
@@ -105,10 +111,16 @@
 	echo '<?xml version="1.0" standalone="no"?>' >  $@
 	echo '<!ENTITY version "$(version)">'        >> $@
 	echo '<!ENTITY date    "$(date)">'           >> $@
+autopkgtest/version.txt: debian/changelog
+	rm -f $@
+	echo                                     > $@
+	echo '---'                               >> $@
+	echo 'Debian Policy $(version), $(date)' >> $@
 
 clean:
 	rm -f $(STAMPS_TO_CLEAN)
 	$(MAKE) -C copyright-format clean
+	$(MAKE) -C autopkgtest clean
 	$(MAKE) -C debconf_spec clean
 	rm -f $(FILES_TO_CLEAN)
 	rm -rf $(DIRS_TO_CLEAN)
@@ -162,14 +174,15 @@
 #
 # Compress files and build MD5 checksums.
 #
-	gzip -f9 $(DOCDIR)/*.txt $(DOCDIR)/*.sgml $(DOCDIR)/changelog
+	gzip -f9 $(DOCDIR)/*.sgml $(DOCDIR)/changelog
+	gzip -f9 -n $(DOCDIR)/*.txt
 	@set -ex; cd debian/tmp; \
 	find . -path './DEBIAN' -prune -o -type f -printf '%P\0' \
 		| xargs -r0 md5sum > DEBIAN/md5sums
 #
 # Build the package.
 #
-	dpkg-gencontrol -p$(package) -Pdebian/tmp -isp
+	dpkg-gencontrol -p$(package) -Pdebian/tmp
 	chown -R root:root debian/tmp
 	chmod -R go=rX debian/tmp
 	dpkg --build debian/tmp ..

## debian-policy 4.1.0.0

=== Makefile ===
# Build rules for Debian Policy.
#
# This is not completely standalone and independent of the Debian packaging
# in that it uses debian/changelog to get the version number and release
# date for incorporation into other documents.  Except for that, however,
# the design goal of these build rules is to build the Policy documents
# independent of their Debian packaging in the debian directory.

# Basic package information.
PACKAGE   := $(shell dpkg-parsechangelog -SSource)
TIMESTAMP := $(shell dpkg-parsechangelog -STimestamp)
DATE      := $(shell date -d '@$(TIMESTAMP)' +'%Y-%m-%d')
VERSION   := $(shell dpkg-parsechangelog -SVersion)

# Conversion programs to use.  Export these so that they're visible to
# submakes.
export DBLATEX  = dblatex -p xsl/dblatex.xsl
export DIA      = dia
export MDWN     = multimarkdown
export SPHINX   = sphinx-build
export XMLLINT  = xmllint --nonet --noout --postvalid --xinclude
export XSLTPROC = xsltproc --nonet --xinclude

# Installation directories.  Normally this is only used by debian/rules
# build, which will set DESTDIR to put the installation under the temporary
# Debian packaging directory.
prefix      = /usr
datarootdir = $(prefix)/share
datadir     = $(datarootdir)
docdir      = $(datadir)/doc/$(PACKAGE)
infodir     = $(datarootdir)/info

# Installation programs to use.
INSTALL = install -p -o root -g root -m 644
MKDIR   = install -d -o root -g root -m 755

# Files included by debconf_specification.xml.
DEBCONF_INCLUDES := debconf/commands.xml debconf/priorities.xml	\
	            debconf/statuscodes.xml debconf/types.xml

# doc-base description files for the documents we include.
DESC_FILES  := autopkgtest copyright-format-1.0 debconf-spec debian-policy \
	       debian-menu-policy debian-perl-policy fhs

# Our local copy of the File Hierarchy Standard.  We don't build this from
# source, but we do have a copy of the source in FHS_ARCHIVE.
FHS_ARCHIVE := fhs-2.3-source.tar.gz
FHS_FILES   := fhs-2.3.html fhs-2.3.ps.gz fhs-2.3.txt.gz fhs-2.3.pdf.gz

# Markdown source files in the top-level directory.  We generate text and
# HTML versions from these.
MDWN_FILES  := README autopkgtest

# Dia diagrams in the policy/images subdirectory.
DIA_FILES   := $(wildcard policy/images/*.dia)

# Dia diagrams converted to PNG in images/ subdirectory.
DIA_PNGS    := $(DIA_FILES:.dia=.png)

# Dia diagrams converted to SVG in images/ subdirectory.
DIA_SVGS    := $(DIA_FILES:.dia=.svg)

# DocBook source files in the top-level directory.  We do some common actions
# with each of these: build text, HTML, and one-page HTML output.
XML_FILES   := menu-policy perl-policy

# DocBook source files in the top-level directory that should only generate
# single-page HTML output (no split HTML output).
XML_SINGLE_FILES := copyright-format-1.0 debconf_specification

# XML document version files.  These are generated at build time from the
# current version and date information from the Debian changelog.
XML_VERSION := copyright-format/version.xml debconf_spec/include/version.xml \
	       version.xml

# A list of the simple Policy files that we build at the top level and in
# subdirectories and include in the documentation directory of the generated
# package.  The directories of HTML output are handled separately.
POLICY_FILES := $(MDWN_FILES:=.html)				\
		$(MDWN_FILES:=.txt)				\
		$(XML_FILES:=-1.html)				\
		$(XML_FILES:=.txt)				\
		$(XML_SINGLE_FILES:=.html)			\
		$(XML_SINGLE_FILES:=.txt)			\
		README.css					\
		policy/_build/epub/policy.epub			\
		policy/_build/latex/policy.pdf			\
		policy/_build/policy.txt			\
		policy/_build/text/upgrading-checklist.txt	\
		policy.html.tar.gz				\
		virtual-package-names-list.txt

# A list of generated info files to install.
INFO_FILES := policy/_build/texinfo/policy.info

# Source files that go into the Debian Policy manual.
POLICY_SOURCE := $(wildcard policy/*.rst) policy/conf.py policy/index.rst

# Used by the clean rules.  FILES_TO_CLEAN are individual generated files to
# remove.  DIRS_TO_CLEAN are entire directories to remove.
DIRS_TO_CLEAN  := $(XML_FILES:=.html) policy/_build fhs
FILES_TO_CLEAN := $(MDWN_FILES:=.html)			\
		  $(MDWN_FILES:=.txt)			\
		  $(XML_FILES:=.html.tar.gz)		\
		  $(XML_FILES:=-1.html)			\
		  $(XML_FILES:=.txt)			\
		  $(XML_FILES:=.validate)		\
		  $(XML_SINGLE_FILES:=.html)		\
		  $(XML_SINGLE_FILES:=.txt)		\
		  $(XML_SINGLE_FILES:=.validate)	\
		  $(DIA_PNGS)				\
		  policy/index.rst			\
		  policy.html.tar.gz			\
		  version.md version.xml


#
# General build targets.  These are the ones a human may build from the
# command line, or that are used by the Debian build system.
#

all: $(XML_FILES:=.validate) $(XML_SINGLE_FILES:=.validate) \
     $(XML_FILES:=.html.tar.gz) $(POLICY_FILES) $(INFO_FILES)

clean distclean:
	rm -f $(FILES_TO_CLEAN)
	rm -rf $(DIRS_TO_CLEAN)

install: all
	$(MKDIR) $(DESTDIR)$(docdir)
	$(MKDIR) $(DESTDIR)$(docdir)/fhs
	$(INSTALL) $(POLICY_FILES) $(DESTDIR)$(docdir)
	$(INSTALL) $(FHS_FILES)    $(DESTDIR)$(docdir)/fhs
	@set -ex; for file in $(XML_FILES) policy; do		\
	    tar -C $(DESTDIR)$(docdir) -zxf $$file.html.tar.gz;	\
	done
	$(MKDIR) $(DESTDIR)$(infodir)
	$(INSTALL) $(INFO_FILES) $(DESTDIR)$(infodir)
	$(INSTALL) $(DIA_PNGS) $(DESTDIR)$(infodir)

.PHONY: all clean distclean install


#
# Version files.  These incorporate the version and release date of the
# debian-policy package into the various specifications as their version and
# publication date.
#

policy/conf.py policy/index.rst: %: %.in debian/changelog
	sed -e 's/@VERSION@/$(VERSION)/' -e 's/@DATE@/$(DATE)/' $< > $@

version.md: debian/changelog
	rm -f $@
	echo					 > $@
	echo '---'				 >> $@
	echo 'Debian Policy $(VERSION), $(DATE)' >> $@

version.xml: debian/changelog
	rm -f $@
	echo '<?xml version="1.0" encoding="utf-8"?>' > $@
	echo '<!ENTITY version "$(VERSION)">'	     >> $@
	echo '<!ENTITY date    "$(DATE)">'	     >> $@


#
# Individual file and pattern build rules.
#

# There doesn't seem to be a better way of adding this include dependency.
debconf_specification.html: $(DEBCONF_INCLUDES)
debconf_specification.txt: $(DEBCONF_INCLUDES)
debconf_specification.validate: $(DEBCONF_INCLUDES)
policy-1.html: upgrading-checklist.xml
policy.validate: upgrading-checklist.xml

# The text version of the upgrading checklist come from the Policy text build.
policy/_build/text/upgrading-checklist.txt: policy/_build/policy.txt

policy.html.tar.gz: policy/_build/singlehtml/index.html $(DIA_PNGS)
	tar -czf policy.html.tar.gz				\
	    --transform='s%policy/_build/singlehtml%policy.html%'	\
	    policy/_build/singlehtml

policy/_build/epub/policy.epub: $(POLICY_SOURCE) $(DIA_PNGS)
	$(SPHINX) -M epub policy policy/_build

policy/_build/singlehtml/index.html: $(POLICY_SOURCE) $(DIA_PNGS)
	$(SPHINX) -M singlehtml policy policy/_build

policy/_build/latex/policy.pdf: $(POLICY_SOURCE) $(DIA_PNGS)
	$(SPHINX) -M latexpdf policy policy/_build

policy/_build/policy.txt: $(POLICY_SOURCE)
	rm -f $@
	$(SPHINX) -M text policy policy/_build
	cp policy/_build/text/index.txt $@
	set -e;								 \
	    files=$$(egrep '^   (ch-|ap-|upgrading-)' policy/index.rst); \
	    for f in $$files; do					 \
		printf "\n\n\n"                  >>$@;			 \
		cat policy/_build/text/"$$f".txt >>$@;			 \
	    done

policy/_build/texinfo/policy.info: $(POLICY_SOURCE)
	$(SPHINX) -M info policy policy/_build

$(MDWN_FILES:=.txt): %.txt: %.md version.md
	cat $^ > $@
	test "$@" != "README.txt"  ||				\
           perl -pli -e 's,./Process.md,Process.txt,g' $@

$(MDWN_FILES:=.html): %.html: %.md version.md
	cat $^ | $(MDWN) > $@

$(DIA_PNGS): policy/images/%.png: policy/images/%.dia
	$(DIA) -e $@ $^

$(DIA_SVGS): policy/images/%.svg: policy/images/%.dia
	$(DIA) -e $@ $^

# Suppress the table of contents for the standalone upgrading checklist.
upgrading-checklist-1.html: XSLPARAMS = --stringparam generate.toc ''
upgrading-checklist.txt: XSLPARAMS = --stringparam generate.toc ''

%.validate: %.xml version.xml
	$(XMLLINT) $<
	touch $@

%.html/index.html: %.xml xsl/html-chunk.xsl version.xml
	mkdir -p $(@D)/images
	$(XSLTPROC) $(XSLPARAMS)		\
	    --stringparam base.dir $(@D)/	\
	    xsl/html-chunk.xsl $<

$(XML_SINGLE_FILES:=.html): %.html: %.xml xsl/html-single.xsl version.xml
	$(XSLTPROC) $(XSLPARAMS) xsl/html-single.xsl $< > $@

%-1.html: %.xml xsl/html-single.xsl version.xml $(DIA_PNGS)
	$(XSLTPROC) $(XSLPARAMS) xsl/html-single.xsl $< > $@

%.html.tar.gz: %.html/index.html
	tar -czf $(<:/index.html=.tar.gz) $(<:/index.html=)

$(XML_FILES:=.txt) $(XML_SINGLE_FILES:=.txt) $(XML_SPLIT_FILES:=.txt): \
%.txt: %.xml version.xml
	$(XSLTPROC) $(XSLPARAMS) xsl/text.xsl $< > $@.html
	links -codepage utf-8 -dump $@.html | perl -pe 's/[\r\0]//g' > $@
	rm -f $@.html


#
# GNU make configuration.
#

# If a rule bombs out, delete the target.
.DELETE_ON_ERROR:

# No default suffixes work here, don't waste time on them.
.SUFFIXES:

=== debian/changelog ===
debian-policy (4.1.0.0) unstable; urgency=medium

  [ Sean Whitton ]
  * Policy: Packages should build reproducibly
    Wording: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: Holger Levsen <holger@layer-acht.org>
    Seconded: Ondrej Novy <novy@ondrej.org>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Ximin Luo <infinity0@debian.org>
    Seconded: gregor herrmann <gregoa@debian.org>
    Closes: #844431
  * Policy: Restrictions on the use of /lib64/ and /usr/lib64/
    Wording: Bill Allombert <ballombe@debian.org>
    Seconded: Niels Thykier <niels@thykier.net>
    Seconded: Sean Whitton <spwhitton@spwhitton.name>
    Closes: #630174
  * Policy: Clarify how `x-terminal-emulator -e` must behave
    Wording: Jonathan Nieder <jrnieder@gmail.com>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Sean Whitton <spwhitton@spwhitton.name>
    Closes: #648271
  * Fix a singular/plural error in 9.6.
    Thanks to Didier Raboud for pointing out the problem.
  * Improve release process documentation in README.md.
  * Policy changes process:
    - Deprecate usage of the 'issue' usertag
      It is usually very clear whether an issue is a policy matter, so bugs
      can be simply closed, or moved to the 'discussion' phase.
      In the rare case that it's not clear whether the bug is a policy matter,
      it can remain unclassified, or be tagged 'moreinfo' (see below).
    - Add policy-specific usage for the 'moreinfo' tag.
  * tools/policy-bug-report:
    - Enhance to fetch bugs that have a given usertag or combination of
      usertags
    - Improve the lists of bugs generated, for posting to Planet Debian.
  * Add convention to upgrading checklist for indicating that a policy
    requirement is covered by Lintian.

  [ Russ Allbery ]
  * Policy: Recommend including the upstream signing key
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
    Seconded: Jonathan Nieder <jrnieder@gmail.com>
    Seconded: Didier 'OdyX' Raboud <odyx@debian.org>
    Closes: #732445
  * Policy: Clearly allow non-default alternative non-free dependencies
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Simon McVittie <smcv@debian.org>
    Seconded: Sean Whitton <spwhitton@spwhitton.name>
    Closes: #587279

  [ Russ Allbery & Sean Whitton ]
  * Convert the source of the Debian Policy Manual to reStructuredText,
    built using the Sphinx toolchain.
    Many thanks to Hideki Yamane <henrich@debian.or.jp> for the conversion
    scripts, and pushing the project forward.
    Thanks to David Bremner <bremner@debian.org> for help proofreading the
    output.
    - Drop PostScript output.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 21 Aug 2017 14:17:42 -0700

debian-policy (4.0.1.0) unstable; urgency=medium

  [ Russ Allbery ]
  * Policy: Overhaul priorities, deprecate extra
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Niels Thykier <niels@thykier.net>
    Seconded: Andreas Henriksson <andreas@fatal.se>
    Seconded: Ansgar Burchardt <ansgar@debian.org>
    Closes: #758234, #759260, #660249, #196367
  * Policy: Clarify prohibition on depending on environment variables
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Simon McVittie <smcv@debian.org>
    Seconded: Niels Thykier <niels@thykier.net>
    Closes: #640263

  [ Sean Whitton ]
  * Policy: Disambiguate "original authors" in 12.5
    Wording: Jonathan Nieder <jrnieder@gmail.com>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: David Bremner <bremner@debian.org>
    Seconded: Jonas Smedegaard <dr@jones.dk>
    Closes: #678607
  * Policy: Document Testsuite: field
    Wording: Charles Plessy <plessy@debian.org>
    Seconded: Antonio Terceiro <terceiro@debian.org>
    Seconded: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: David Bremner <bremner@debian.org>
    Closes: #758124
  * Policy: Require calling ldconfig by means of triggers
    Wording: Niels Thykier <niels@thykier.net>
    Seconded: Andreas Henriksson <andreas@fatal.se>
    Seconded: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: David Bremner <bremner@debian.org>
    Closes: #822430
  * Policy: Make section 9 agnostic between Debian's init systems
    Wording: Andreas Henriksson <andreas@fatal.se>
    Seconded: Andrey Rahmatullin <wrar@debian.org>
    Seconded: Martin Pitt <mpitt@debian.org>
    Seconded: Holger Levsen <holger@layer-acht.org>
    Seconded: gregor herrmann <gregoa@debian.org>
    Seconded: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: Russ Allbery <rra@debian.org>
    Closes: #835520
  * Policy: Packages may not install both a desktop entry and a menu entry
    Wording: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: Philip Hands <phil@hands.com>
    Seconded: Didier 'OdyX' Raboud <odyx@debian.org>
    Seconded: David Bremner <bremner@debian.org>
    Closes: #839172
  * Convert Process.md to an appendix to Policy itself.
    - Update link in "Authors and Maintainers" to point to this new
      appendix (Closes: #866192).
  * Incorporate Margarita Manterola's maintscript flowcharts as a new
    appendix (Closes: #485776).
    Many thanks to David Bremner for help importing the images to docbook.
    - Add a footnote to 6.6 linking to the new appendix.
  * Update first paragraph of Appendix A to note that the final three
    appendices (the policy changes process and the upgrading checklist)
    were not taken from the Packaging Manual.
  * Add a footnote linking to the REJECT-FAQ (Closes: #849853).
  * Note that the debian/rules clean target is useless for removing files
    not compatible with the DFSG (Closes: #849851).
  * Add 'javascript', 'rust' archive sections (Closes: #867308).
  * Drop remark that systems with only required packages installed are
    "probably unusable", and add a paragraph break. (Closes: #589671).

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 05 Aug 2017 21:47:47 -0400



=== debian/control ===
Source: debian-policy
Maintainer: Debian Policy List <debian-policy@lists.debian.org>
Uploaders:
 Andreas Barth <aba@debian.org>,
 Bill Allombert <ballombe@debian.org>,
 Sean Whitton <spwhitton@spwhitton.name>,
 Russ Allbery <rra@debian.org>,
Section: doc
Priority: optional
Build-Depends:
 dblatex,
 debhelper (>= 10),
 dia,
 docbook-xml,
 docbook-xsl,
 libtext-multimarkdown-perl,
 libxml2-utils,
 links | elinks,
 python3-sphinx,
 sphinx-common,
 texinfo,
 xsltproc,
Standards-Version: 4.1.0
Vcs-Browser: https://anonscm.debian.org/git/dbnpolicy/policy.git
Vcs-Git: https://anonscm.debian.org/git/dbnpolicy/policy.git

Package: debian-policy
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
# workaround for dh_sphinxdoc bug #872863
 libjs-sphinxdoc (>= 1.0),
Suggests:
 doc-base,
Built-Using: ${sphinxdoc:Built-Using}
Description: Debian Policy Manual and related documents
 This package contains:
    - Debian Policy Manual
    - Filesystem Hierarchy Standard (FHS)
    - Debian Menu sub-policy
    - Debian Perl sub-policy
    - Debian configuration management specification
    - Machine-readable debian/copyright specification
    - Autopkgtest - automatic as-installed package testing
    - Authoritative list of virtual package names
    - Policy checklist for upgrading your packages
 It also replaces the old Packaging Manual; most of the still-relevant
 content is now included as appendices to the Policy Manual.
